function ScanHardDrives()
	
	Tmp = SKIN:GetVariable("@")..'utf8_hdd_data.txt'
	FilePath = SKIN:GetVariable("@")..'ansi_hdd_data.txt'
	
	--generate hdd data | 0=sucess 1=error
	Cmd = os.execute('wmic LOGICALDISK get DeviceId,VolumeName > '..Tmp)

	--utf-8 encoding from cmd to ANSI so lua can read the file correctly 
	Cmd = os.execute("cmd.exe /a /c TYPE "..Tmp..' > '..FilePath)

	--remove tmp file
	Cmd = os.execute('del '..Tmp)

	--open the result file with drive info
	File = io.open(FilePath,'r')
	if not File then
		print('Error: unable to open files')
		return
	end

	--ignore headers
	HardDrives = {}
	Counter=0
	FirstLine=true
	for Line in File:lines() do
		if not FirstLine then
			--get drive and label
			for Match in Line:gmatch("(%S+.?%s?%S+)") do
				Counter=Counter+1
				table.insert(HardDrives, Match)
			end
			--case we have no label
			if Counter<2 then
				table.insert(HardDrives, 'Local Disk')
			end
			Counter=0
		end
		FirstLine=false
	end

	--close file
	File:close()

	--on to creation!
	CreateFiles(HardDrives)
end

function CreateFiles(HardDrives)
	
	-- get number of drives
	NumOfDrives=table.getn(HardDrives) / 2

	--create file
	Measurements=SKIN:GetVariable("@")..'Includes\\mesurements.ini'
	File=io.open(Measurements,'w')

	--write the measures file
	for i=1, table.getn(HardDrives),2 do

		--total measurement
		File:write('[Total_'..HardDrives[i]..']','\n')
		File:write('Measure=FreeDiskSpace','\n')
		File:write('IgnoreRemovable=0','\n')
		File:write('Drive='..HardDrives[i],'\n')
		File:write('Total=1','\n')
		File:write('UpdateDivider=5','\n\n')

		--free mesurement
		File:write('[Free_'..HardDrives[i]..']','\n')
		File:write('Measure=FreeDiskSpace','\n')
		File:write('IgnoreRemovable=0','\n')
		File:write('Drive='..HardDrives[i],'\n')
		File:write('UpdateDivider=5','\n\n')

		--used mesurement
		File:write('[Used_'..HardDrives[i]..']','\n')
		File:write('Measure=FreeDiskSpace','\n')
		File:write('InvertMeasure=1','\n')
		File:write('IgnoreRemovable=0','\n')
		File:write('Drive='..HardDrives[i],'\n')
		File:write('UpdateDivider=5','\n\n')
	end

	File:close()

	--create file
	Meters=SKIN:GetVariable("@")..'Includes\\meters.ini'
	File2=io.open(Meters,'w')

	--write the meters file
	for i=1, table.getn(HardDrives),2 do
		
		File2:write('[Icon_'..HardDrives[i]..']','\n')
		File2:write('Meter=Image','\n')
		File2:write('MeterStyle=HddIconStyle','\n\n')

		File2:write('[Text1_'..HardDrives[i]..']','\n')
		File2:write('Meter=String','\n')
		File2:write('MeterStyle=NormalStyle | HddText1','\n')
		File2:write('MeasureName=Free_'..HardDrives[i],'\n')
		File2:write('Text="'..HardDrives[i+1]..'  ('..HardDrives[i]..')  %1B  Free"','\n\n')

		File2:write('[Bar_'..HardDrives[i]..']','\n')
		File2:write('Meter=BAR','\n')
		File2:write('MeterStyle=HddBarStyle','\n')
		File2:write('MeasureName=Used_'..HardDrives[i],'\n\n')

		File2:write('[Text2_'..HardDrives[i]..']','\n')
		File2:write('Meter=String','\n')
		File2:write('MeasureName=Used_'..HardDrives[i],'\n')
		File2:write('MeasureName2=Total_'..HardDrives[i],'\n')
		File2:write('MeterStyle=NormalStyle | HddText2','\n\n')
	end

	File2:close()
	SKIN:Bang('!Refresh #CURRENTCONFIG#')
end