;------------------------------------------------------------------------------
; PANEL SHAPE STYLE
;------------------------------------------------------------------------------
[MainPanelStyle]
 Shape = Rectangle 0,0,#Panelwidth#,#WORKAREAHEIGHT# | Fill LinearGradient Gradient | StrokeWidth 0
 Gradient = 55 | 50,50,50,50 ; 0 | 100,100,100,30 ; 0.3 | 255,255,255,30 ; 0.3
 Antialias=1

 ;------------------------------------------------------------------------------
 ; FONT STYLES
 ;------------------------------------------------------------------------------
[TitleStyle]
 FontColor=#ThemeColor#
 FontSize=#TitleFont#
 FontFace=#ThemeFont#
 AntiAlias=1

[SubTitleStyle]
 FontColor=#grey#
 FontSize=#TextFont#
 FontFace=#ThemeFont#
 AntiAlias=1

[NormalStyle]
 FontFace=#NormalFont#
 FontSize=#SmallFont#
 FontColor=#White#
 AntiAlias=1

 ;------------------------------------------------------------------------------
 ; GENERAL STYLES
 ;------------------------------------------------------------------------------
[HoverImageStyle]
 MouseOverAction=[!SetOption #CURRENTSECTION# "ImageTint" "#ThemeColor#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 MouseLeaveAction=[!SetOption #CURRENTSECTION# "ImageTint" "#white#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 Antialias=1

[InputStyle]
 MouseOverAction=[!SetOption "#CURRENTSECTION#" "SolidColor" #white#][!UpdateMeter "#CURRENTSECTION#"][!Redraw]
 MouseLeaveAction=[!SetOption "#CURRENTSECTION#" "SolidColor" #grey#][!UpdateMeter "#CURRENTSECTION#"][!Redraw]
 Antialias=1

[HoverTextStyle]
 MouseOverAction=[!SetOption "#CURRENTSECTION#" "FontColor" "#white#"][!UpdateMeter "#CURRENTSECTION#"][!Redraw]
 MouseLeaveAction=[!SetOption "#CURRENTSECTION#" "FontColor" "#grey#"][!UpdateMeter "#CURRENTSECTION#"][!Redraw]
 Antialias=1
 ;------------------------------------------------------------------------------
 ; PROCESSOR STYLES
 ;------------------------------------------------------------------------------
[BarCoreStyle]
 H=#BarHeight#
 W=#CoresBarWidth#
 X=15R
 Y=9r
 SolidColor=#white#,40
 BarColor=#ThemeColor#
 BarOrientation=HORIZONTAL
 AntiAlias=1

[DivStyle]
 W=145
 H=2
 Y=20R
 SolidColor=#Shadow#,20

 ;------------------------------------------------------------------------------
 ; MENU STYLES
 ;------------------------------------------------------------------------------
[MenuBoxStyle]
 W=61
 Y=(#WORKAREAHEIGHT#-140)
 FontSize=9
 SolidColor=#PanelColor2#
 Padding=5,44,15,5
 MouseOverAction=[!SetOption "#CURRENTSECTION#" "SolidColor" #ThemeColor#][!UpdateMeter "#CURRENTSECTION#"][!Redraw]
 MouseLeaveAction=[!SetOption "#CURRENTSECTION#" "SolidColor" #PanelColor2#][!UpdateMeter "#CURRENTSECTION#"][!Redraw]

[MenuIconStyle]
 W=20
 X=5r
 Y=7r

 ;------------------------------------------------------------------------------
 ; LAUNCHER STYLES
 ;------------------------------------------------------------------------------
[ShortcutStyle]
 X=10R
 Y=7r
 ClipString=1
 W=(#Panelwidth#-100)
 MouseOverAction=[!SetOption #CURRENTSECTION# "Fontcolor" "#ThemeColor#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 MouseLeaveAction=[!SetOption #CURRENTSECTION# "Fontcolor" "#white#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 AntiAlias=1

[LauncherNavStyle]
 MouseOverAction=[!SetOption #CURRENTSECTION# "ImageTint" "#white#"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 MouseLeaveAction=[!SetOption #CURRENTSECTION# "ImageTint" "#white#,100"][!UpdateMeter #CURRENTSECTION#][!Redraw]
 AntiAlias=1

[LauncherIconStyle]
 X=#Padding#
 Y=20R
 AntiAlias=1

 ;------------------------------------------------------------------------------
 ; HARD DISK STYLES
 ;------------------------------------------------------------------------------
[HddIconStyle]
 ImageName="#@#Images\Icons\hdd.png"
 Y=30R
 W=#HddIconSize#
 X=#Padding#
 AntiAlias=1

[HddBarStyle]
 H=2
 W=240
 X=r
 Y=5R
 SolidColor=#white#,40
 BarColor=#ThemeColor#
 BarOrientation=HORIZONTAL
 AntiAlias=1

[HddText1]
 X=(#HddIconSize#+#Padding#*2)
 Y=-4r
 Autoscale=1
 NumOfDecimals=1

[HddText2]
 Text="%1B Used    %2B Total"
 X=(#HddIconSize#+#Padding#*2)
 Y=5R
 Autoscale=1
 NumOfDecimals=1

 ;------------------------------------------------------------------------------
 ; NETWORK STYLES
 ;------------------------------------------------------------------------------
[NetIconStyle]
 W=#SmallIcon#
 X=(#Padding#+10)
 Y=15R
 AntiAlias=1

[NetLineStyle]
 W=180
 H=15
 Autoscale=1
 GraphOrientation=Vertical
 AntiAlias=1

 ;------------------------------------------------------------------------------
 ; WEATHER STYLES
 ;------------------------------------------------------------------------------
[WeatherStyleLargeText]
 FontColor=#white#
 FontFace=#ThemeFont#
 FontSize=16
 AntiAlias=1

[WeatherStyleSmallText]
 FontColor=#grey#
 FontFace=#ThemeFont#
 FontSize=12
 AntiAlias=1

[WeatherIconStyle]
 W=100
 X=#Padding#
 Y=20R
 AntiAlias=1